Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.types
Class StringList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<java.lang.String>
                  com.eviware.soapui.support.types.StringList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.String>, java.util.Collection<java.lang.String>, java.util.List<java.lang.String>, java.util.RandomAccess

    public class StringList

extends java.util.ArrayList<java.lang.String>

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`StringList()`
`StringList(java.util.Collection<? extends java.lang.String> c)`
`StringList(int initialCapacity)`
`StringList(java.lang.Object[] objects)`
`StringList(java.lang.String[] strings)`

Method Summary
`void` | `addAll(java.lang.String[] strings)`
`static StringList` | `fromXml(java.lang.String value)`
`java.lang.String[]` | `toStringArray()`
`java.lang.String` | `toXml()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### StringList

    public StringList()

### StringList

    public StringList(java.util.Collection<? extends java.lang.String> c)

### StringList

    public StringList(int initialCapacity)

### StringList

    public StringList(java.lang.String[] strings)

### StringList

    public StringList(java.lang.Object[] objects)

Method Detail

### addAll

    public void addAll(java.lang.String[] strings)

### toStringArray

    public java.lang.String[] toStringArray()

### fromXml

    public static StringList fromXml(java.lang.String value)
                              throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### toXml

    public java.lang.String toXml()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.